Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface SStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier, SActable, SAttributed, SImplemented, SNamed

All Known Subinterfaces:
  SStyle2D, SStyle3D, SStyleShape

All Known Implementing Classes:
  SStyle2DImpl, SStyle3DImpl, SStyleImpl, SStyleShapeImpl

    public interface SStyle

extends SActable, SImplemented

A representation of the model object ' SStyle'.

Author:
  Miles Parker

  The following features are supported:

  - `Agent`
See Also:
  `MetaABMPackage.getSStyle()`

Method Summary
`SAgent` | `getAgent()` Returns the value of the 'Agent' container reference.
`void` | `setAgent(SAgent value)` Sets the value of the '`Agent`' container reference.

Methods inherited from interface org.metaabm.SActable
`getRootActivity, setRootActivity`

Methods inherited from interface org.metaabm.SAttributed
`findAttribute, getAttributes, isReachable`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.SImplemented
`getImplementation, getParent, setImplementation`

Method Detail

### getAgent

    SAgent getAgent()

  Returns the value of the 'Agent' container reference. It is bidirectional and its opposite is '`Styles`'.

  If the meaning of the 'Agent' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Agent' container reference.
  See Also:
    `setAgent(SAgent)`, `MetaABMPackage.getSStyle_Agent()`, `SAgent.getStyles()`

### setAgent

    void setAgent(SAgent value)

  Sets the value of the '`Agent`' container reference.

  Parameters:
    `value` - the new value of the 'Agent' container reference.
  See Also:
    `getAgent()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD